Reset credentials for an RBS volume
POST/v1/remote_block_storage/volumes/{volume_id}/reset_credentials
To reset connection credentials of an RBS volume, perform a POST request to /v1/remote_block_storage/volumes/{volume_id}/reset_credentials. Specify a volume in the path parameter. During this operation, a volume has pending status.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
volume_id | stringA unique identifier of an RBS volume. Use this request to list all volume IDs. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/remote_block_storage/volumes/QBeXWdyK/reset_credentials"{ "id": "QBeXWdyK", "name": "name2107", "size": 100, "status": "pending", "location_id": 2017, "location_code": "AMS2017", "flavor_id": 3095, "flavor_name": "RBS Flavor name2105", "iops": 68130, "bandwidth": 13148, "labels": {}, "ip_address": null, "target_iqn": null, "operational_status": null, "created_at": "2025-12-31T00:00:00.000Z", "updated_at": "2025-12-31T00:00:00.000Z"}